CppUnit project page | FAQ

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

Deprecated List

Member Asserter::fail (std::string message, const SourceLine &sourceLine=SourceLine())
  Use fail( Message, SourceLine ) instead.
Member Asserter::failIf (bool shouldFail, std::string message, const SourceLine &sourceLine=SourceLine())
  Use failIf( bool, Message, SourceLine ) instead.
  Parameters

    shouldFail | if `true` then the exception is thrown. Otherwise nothing happen.
    message | Message explaining the assertion failiure.
    sourceLine | Location of the assertion.

Member CompilerOutputter::defaultOutputter (TestResultCollector *result, OStream &stream)
  This class is specialized through parameterization instead of subclassing... Use CompilerOutputter::CompilerOutputter instead.
globalScope> Member CPPUNIT_TEST_EXCEPTION (testMethod, ExceptionType)
  Use the assertion macro CPPUNIT_ASSERT_THROW instead.
globalScope> Member CPPUNIT_TEST_FAIL (testMethod)
  Use the assertion macro CPPUNIT_ASSERT_ASSERTION_FAIL instead.
Member MfcUi::TestRunner
  Use CppUnit::MfcTestRunner instead.
Member QtUi::TestRunner
  Use CppUnit::QtTestRunner instead.
Member TestCase::TestCase ()

  This constructor was used by fixture when TestFixture did not exist. Have your fixture inherits TestFixture instead of TestCase.

Member TestFactoryRegistry::registerFactory (const std::string &name, TestFactory *factory)
  Use registerFactory( TestFactory *) instead.
Class TestPlugInInterface
  Use CppUnitTestPlugIn instead.
globalScope> Member TestRunner
  Use CppUnit::MfcUi::TestRunner instead.
Member TestSuite::getTests () const
  Use getChildTestCount() & getChildTestAt() of the TestComposite interface instead.
  Returns
    Reference on a vector that contains the tests of the suite.
Member TextUi::TestRunner
  Use TextTestRunner instead.

| Send comments to: CppUnit Developers